<script setup>
import { useRollOver } from '../../store/popups';
import { locked } from '../itemsBase';
import { computed } from 'vue';

const props = defineProps(['items']);

const { itemOver } = useRollOver();

const hallUpgrades = computed(() => {
    return Object.values(props.items).filter(v => !v.disabled && v.value >= v.max);
});
</script>


<template>
    <div>
        <div class="upgrades">
            <button :class="{
                'task-btn': true, hidable: false, locked: locked(it) || (it.owned && !it.repeat),
                running: false, runnable: false,
                disabled: !it.canUse()
            }"
                v-for="it in items" :data-key="it.id" :key="it.id"
                @mouseenter.capture.stop="itemOver($event, it)"
                @click="gameEvents.emit('upgrade', it)">{{ it.name }}
            </button>
        </div>
        <span>Maxed upgrades :</span>
        <div class="upgrades">
            <button :class="{
                'task-btn': true, hidable: false, locked: false,
                running: false, runnable: false, disabled: true
            }"
                        v-for="up in hallUpgrades" :key="up.id + '.maxed'"
                        @mouseenter.capture.stop="itemOver($event, up)">{{ up.name }}
            </button>
        </div>
    </div>
</template>
